MetacatUI - Task #6782

Story # 6716 (Resolved): Production-ready DataONE theme

Task # 6765 (Resolved): Bugs with zooming in and out on the Gmaps interface
Zooming into the map returns inconsistent results sometimes
06/19/2015 03:51 PM - Lauren Walker

Status: Resolved Start date: 06/19/2015
Priority: Normal Due date:

Assignee: Lauren Walker % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 1.7.0 Spent time: 0.00 hour
Description

Sometimes when | am looking at the map with X results, and then zoom in one zoom level, the new search returns 0 or almost 0
results, even though parts of the map are still visible from the previous zoom level, where tile(s) were before.

Example: On CN Sandbox 2, zoom in on Santa Rosa island in the Channel Islands and at zoom level 8 we have 1175 results and
~15 tiles. Zoom in on map center once to zoom level 9 and all tiles disappear from map and search result list is zero.

History

#1 - 06/22/2015 12:39 PM - Lauren Walker

- Status changed from New to In Progress

This seems to be an issue with the geohash filter being cut off from the search query after so many characters (1900), to avoid sending the index a
URL that is too long (and therefore being rejected). The geohash filter query can be shortened with some better logic, working on it now...

#2 - 06/23/2015 11:13 AM - Lauren Walker
- Status changed from In Progress to Resolved

- translation missing: en.field_remaining_hours set to 0.0

The Search model will now construct the geohash search string using multiple levels of geohashes in order to shorten the search string.
